//
//  BadgeViewController.swift
//  GtSdkDemo-swift
//
//  Created by ak on 2020/03/20.
//  Copyright © 2020 Gexin Interactive (Beijing) Network Technology Co.,LTD. All rights reserved.
//

import UIKit
import GTSDK

class LiveActivityViewController: UIViewController {
  @IBOutlet weak var activityIdText: UITextField!
  var state: PrograssState = .Car
    
  override func viewDidLoad() {
    super.viewDidLoad()
    title = "灵动岛交互";
  }
  
  @available(iOS 16.1, *)
  @IBAction func create() {
      let activityId = activityIdText.text ?? "new"
      //目前仅支持单个灵动岛视图
      LiveActivityUtils.startActivity { sn, token, enable in
        guard enable == true, let token = token else { return }
        print("registerActivityToken \(token)")
          GeTuiSdk.registerLiveActivity(activityId, activityToken: token, sequenceNum: sn ?? "unknow")
      }
  }

  @available(iOS 16.1, *)
  @IBAction func update() {
    self.state = PrograssState.init(rawValue: (self.state.rawValue + 1) % 4) ?? .Car
    LiveActivityUtils.updateActivityState(self.state.rawValue)
  }

  @available(iOS 16.1, *)
  @IBAction func end() {
    LiveActivityUtils.endPreActivity()
  }
    
  override func touchesBegan(_ touches: Set<UITouch>, with event: UIEvent?) {
    view.endEditing(true)
  }
}
